#include <bits/stdc++.h>
#include "guess.h"

using namespace std;

int find_number(int MAX)
{
    int st,dr,mijl,ans;
    st=0; dr=MAX;
    while(st<=dr)
    {
        mijl=(st+dr)/2;
        if(smaller(mijl)==true)
        {
            dr=mijl-1;
        }
        else
        {
            st=mijl+1;
            ans=mijl;
        }
    }
    return ans;
}

